AuthenticationSign up
Authentication

Register user

Registers a new user with email, name, and organization details.

curl -X POST "https://api.neostra.io/api/v1/auth/signup" \
  -H "Content-Type: application/json" \
  -d '{
  "email": "admin@acmecorp.com",
  "name": "Jane Smith",
  "organization": "Acme Corp",
  "password": "example_string"
}'
{
  "status": 200,
  "message": "Success",
  "data": {},
  "errors": [
    "example_string"
  ]
}
POST
/api/v1/auth/signup
POST
Content-Typestring
Required

The media type of the request body

Options: application/json
emailstring
Required

User email address

Format: email
namestring
Required

Full name of the user

passwordstring

User password

Format: password • Min length: 8
Request Preview
Response

Response will appear here after sending the request

Body

application/json
emailstring
Required

User email address

namestring
Required

Full name of the user

passwordstring

User password

Responses